import { ClientSideBaseVisitor, ClientSideBasePluginConfig } from 'graphql-codegen-visitor-plugin-common';
import { ReactApolloRawPluginConfig } from './index';
import { FragmentDefinitionNode, OperationDefinitionNode } from 'graphql';
export interface ReactApolloPluginConfig extends ClientSideBasePluginConfig {
    withHOC: boolean;
    withComponent: boolean;
    withHooks: boolean;
    hooksImportFrom: string;
}
export declare class ReactApolloVisitor extends ClientSideBaseVisitor<ReactApolloRawPluginConfig, ReactApolloPluginConfig> {
    constructor(fragments: FragmentDefinitionNode[], rawConfig: ReactApolloRawPluginConfig);
    getImports(): string;
    private _buildHocProps;
    private _buildOperationHoc;
    private _buildComponent;
    private _buildHooks;
    protected buildOperation(node: OperationDefinitionNode, documentVariableName: string, operationType: string, operationResultType: string, operationVariablesTypes: string): string;
}
